Subject: Re: Circular references

From: "Richard A. O'Keefe" <[email-masked]>
Date: Fri, 22 Sep 2000 14:34:03 +1200 (NZST)

> Any cyclic term can be handled this way, by adding suitable equations
	> to the body.  You will find it hard to write the code that does that,
	> but that should make it a bit clearer why cyclic terms are a BAD THING.
	
	I don't accept that the inelegance of a workaround generally indicates
	that one is trying to do a bad thing (e.g. create zero-length arrays
	in Visual Basic) so please explain why it does in this particular case.
	
It is not the existence of the workaround that proves cyclic terms are
a bad idea, nor its "inelegance" (nowhere did I say or imply that the code
would be inelegant), but the DIFFICULTY of writing ("HARD to write") the
code that manipulates cyclic terms.

You could have refuted that claim by writing the code in a short time,
posting it, and saying how easy you found it.